
package de.ivu.elect.presentation.exchange.table;

import de.ivu.elect.business.datei.entity.Datei;
import de.ivu.elect.business.datei.entity.DateiConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class DateiExportDateiFileTypeColumn extends AbstractDateiExportDateiColumn {

  private static final long serialVersionUID = 1L;

  protected DateiExportDateiFileTypeColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(DateiConstants.MESSAGE_KEY_FILE_TYPE_EINZAHL);
  }

  @Override
  protected Object getValueIntern(Datei datei) {
    return datei.getFileType().name();
  }
}
